part of 'send_ticket_bloc.dart';

sealed class SendTicketState extends Equatable {
  final List<Tickets> tickets;

  const SendTicketState({this.tickets = const []});

  @override
  List<Object> get props => [tickets];
}

final class SendTicketInitial extends SendTicketState {}

final class GetTicketsSuccess extends SendTicketState {
  const GetTicketsSuccess({required super.tickets});
}

final class SendTicketLoading extends SendTicketState {
  const SendTicketLoading({required super.tickets});
}

// final class SendTicketFail extends SendTicketState {
//   const SendTicketFail({required super.tickets});
// }

final class SendTicketSuccess extends SendTicketState {
  const SendTicketSuccess({required super.tickets});
}
